http
PATCH https://services.leadconnectorhq.com/social-media-posting/{locationId}/csv/{id}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | sdfdsfdsfEWEsdfsdsW32dd | |
id | string | Yes | 65f92e55cc884f0d0845e447 | CSV Id |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
userId | string | No | sdfdsfdsfEWEsdfsdsW32dd | User ID |
Responses
200 - Successful response
success(boolean, required): Success or Failure Example:TruestatusCode(number, required): Status Code Example:200message(string, required): Message Example:Updated Successfully
json
{
"success": true,
"statusCode": 200,
"message": "Updated Successfully"
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X PATCH 'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/csv/YOUR_id' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"userId": "sdfdsfdsfEWEsdfsdsW32dd"
}'const response = await fetch('https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/csv/YOUR_id', {
method: 'PATCH',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"userId": "sdfdsfdsfEWEsdfsdsW32dd"}),
});
const data = await response.json();import os, requests
response = requests.request(
'PATCH',
'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/csv/YOUR_id',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"userId": "sdfdsfdsfEWEsdfsdsW32dd"},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/csv/YOUR_id');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'userId': 'sdfdsfdsfEWEsdfsdsW32dd'}),
]);
$data = json_decode(curl_exec($ch), true);